MSVSSConstants (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants,MSVSSConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Interface MSVSSConstants

All Known Implementing Classes:
  MSVSS

public interface MSVSSConstants

Holds all the constants for the VSS tasks.

Field Summary
`static java.lang.String` | `COMMAND_ADD` The 'Add' command
`static java.lang.String` | `COMMAND_CHECKIN` The 'Checkin' command
`static java.lang.String` | `COMMAND_CHECKOUT` The 'Checkout' command
`static java.lang.String` | `COMMAND_CP` The 'CP' command
`static java.lang.String` | `COMMAND_CREATE` The 'Create' command
`static java.lang.String` | `COMMAND_GET` The 'Get' command
`static java.lang.String` | `COMMAND_HISTORY` The 'History' command
`static java.lang.String` | `COMMAND_LABEL` The 'Label' command
`static java.lang.String` | `FLAG_AUTORESPONSE_DEF`
`static java.lang.String` | `FLAG_AUTORESPONSE_NO`
`static java.lang.String` | `FLAG_AUTORESPONSE_YES`
`static java.lang.String` | `FLAG_BRIEF`
`static java.lang.String` | `FLAG_CODEDIFF`
`static java.lang.String` | `FLAG_COMMENT`
`static java.lang.String` | `FLAG_FILETIME_DEF`
`static java.lang.String` | `FLAG_FILETIME_MODIFIED`
`static java.lang.String` | `FLAG_FILETIME_UPDATED`
`static java.lang.String` | `FLAG_LABEL`
`static java.lang.String` | `FLAG_LOGIN`
`static java.lang.String` | `FLAG_NO_FILE`
`static java.lang.String` | `FLAG_NO_GET`
`static java.lang.String` | `FLAG_OUTPUT`
`static java.lang.String` | `FLAG_OVERRIDE_WORKING_DIR`
`static java.lang.String` | `FLAG_QUIET`
`static java.lang.String` | `FLAG_RECURSION`
`static java.lang.String` | `FLAG_REPLACE_WRITABLE`
`static java.lang.String` | `FLAG_SKIP_WRITABLE`
`static java.lang.String` | `FLAG_USER`
`static java.lang.String` | `FLAG_VERSION`
`static java.lang.String` | `FLAG_VERSION_DATE`
`static java.lang.String` | `FLAG_VERSION_LABEL`
`static java.lang.String` | `FLAG_WRITABLE`
`static java.lang.String` | `PROJECT_PREFIX` Dollar Sigh to prefix the project path
`static java.lang.String` | `SS_EXE` Constant for the thing to execute
`static java.lang.String` | `STYLE_BRIEF` The brief style flag
`static java.lang.String` | `STYLE_CODEDIFF` The codediff style flag
`static java.lang.String` | `STYLE_DEFAULT` The default style flag
`static java.lang.String` | `STYLE_NOFILE` The nofile style flag
`static java.lang.String` | `TIME_CURRENT` The text for current (default) timestamp
`static java.lang.String` | `TIME_MODIFIED` The text for modified timestamp
`static java.lang.String` | `TIME_UPDATED` The text for updated timestamp
`static java.lang.String` | `VALUE_FROMDATE`
`static java.lang.String` | `VALUE_FROMLABEL`
`static java.lang.String` | `VALUE_NO`
`static java.lang.String` | `VALUE_YES`
`static java.lang.String` | `WRITABLE_FAIL` The text for failing on writable files
`static java.lang.String` | `WRITABLE_REPLACE` The text for replacing writable files
`static java.lang.String` | `WRITABLE_SKIP` The text for skiping writable files

Field Detail

### SS_EXE

    public static final java.lang.String SS_EXE

  Constant for the thing to execute

  See Also:
    Constant Field Values

### PROJECT_PREFIX

    public static final java.lang.String PROJECT_PREFIX

  Dollar Sigh to prefix the project path

  See Also:
    Constant Field Values

### COMMAND_CP

    public static final java.lang.String COMMAND_CP

  The 'CP' command

  See Also:
    Constant Field Values

### COMMAND_ADD

    public static final java.lang.String COMMAND_ADD

  The 'Add' command

  See Also:
    Constant Field Values

### COMMAND_GET

    public static final java.lang.String COMMAND_GET

  The 'Get' command

  See Also:
    Constant Field Values

### COMMAND_CHECKOUT

    public static final java.lang.String COMMAND_CHECKOUT

  The 'Checkout' command

  See Also:
    Constant Field Values

### COMMAND_CHECKIN

    public static final java.lang.String COMMAND_CHECKIN

  The 'Checkin' command

  See Also:
    Constant Field Values

### COMMAND_LABEL

    public static final java.lang.String COMMAND_LABEL

  The 'Label' command

  See Also:
    Constant Field Values

### COMMAND_HISTORY

    public static final java.lang.String COMMAND_HISTORY

  The 'History' command

  See Also:
    Constant Field Values

### COMMAND_CREATE

    public static final java.lang.String COMMAND_CREATE

  The 'Create' command

  See Also:
    Constant Field Values

### STYLE_BRIEF

    public static final java.lang.String STYLE_BRIEF

  The brief style flag

  See Also:
    Constant Field Values

### STYLE_CODEDIFF

    public static final java.lang.String STYLE_CODEDIFF

  The codediff style flag

  See Also:
    Constant Field Values

### STYLE_NOFILE

    public static final java.lang.String STYLE_NOFILE

  The nofile style flag

  See Also:
    Constant Field Values

### STYLE_DEFAULT

    public static final java.lang.String STYLE_DEFAULT

  The default style flag

  See Also:
    Constant Field Values

### TIME_CURRENT

    public static final java.lang.String TIME_CURRENT

  The text for current (default) timestamp

  See Also:
    Constant Field Values

### TIME_MODIFIED

    public static final java.lang.String TIME_MODIFIED

  The text for modified timestamp

  See Also:
    Constant Field Values

### TIME_UPDATED

    public static final java.lang.String TIME_UPDATED

  The text for updated timestamp

  See Also:
    Constant Field Values

### WRITABLE_REPLACE

    public static final java.lang.String WRITABLE_REPLACE

  The text for replacing writable files

  See Also:
    Constant Field Values

### WRITABLE_SKIP

    public static final java.lang.String WRITABLE_SKIP

  The text for skiping writable files

  See Also:
    Constant Field Values

### WRITABLE_FAIL

    public static final java.lang.String WRITABLE_FAIL

  The text for failing on writable files

  See Also:
    Constant Field Values

### FLAG_LOGIN

    public static final java.lang.String FLAG_LOGIN

See Also:
  Constant Field Values

### FLAG_OVERRIDE_WORKING_DIR

    public static final java.lang.String FLAG_OVERRIDE_WORKING_DIR

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_DEF

    public static final java.lang.String FLAG_AUTORESPONSE_DEF

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_YES

    public static final java.lang.String FLAG_AUTORESPONSE_YES

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_NO

    public static final java.lang.String FLAG_AUTORESPONSE_NO

See Also:
  Constant Field Values

### FLAG_RECURSION

    public static final java.lang.String FLAG_RECURSION

See Also:
  Constant Field Values

### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

See Also:
  Constant Field Values

### FLAG_VERSION_DATE

    public static final java.lang.String FLAG_VERSION_DATE

See Also:
  Constant Field Values

### FLAG_VERSION_LABEL

    public static final java.lang.String FLAG_VERSION_LABEL

See Also:
  Constant Field Values

### FLAG_WRITABLE

    public static final java.lang.String FLAG_WRITABLE

See Also:
  Constant Field Values

### VALUE_NO

    public static final java.lang.String VALUE_NO

See Also:
  Constant Field Values

### VALUE_YES

    public static final java.lang.String VALUE_YES

See Also:
  Constant Field Values

### FLAG_QUIET

    public static final java.lang.String FLAG_QUIET

See Also:
  Constant Field Values

### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

See Also:
  Constant Field Values

### FLAG_LABEL

    public static final java.lang.String FLAG_LABEL

See Also:
  Constant Field Values

### VALUE_FROMDATE

    public static final java.lang.String VALUE_FROMDATE

See Also:
  Constant Field Values

### VALUE_FROMLABEL

    public static final java.lang.String VALUE_FROMLABEL

See Also:
  Constant Field Values

### FLAG_OUTPUT

    public static final java.lang.String FLAG_OUTPUT

See Also:
  Constant Field Values

### FLAG_USER

    public static final java.lang.String FLAG_USER

See Also:
  Constant Field Values

### FLAG_NO_FILE

    public static final java.lang.String FLAG_NO_FILE

See Also:
  Constant Field Values

### FLAG_BRIEF

    public static final java.lang.String FLAG_BRIEF

See Also:
  Constant Field Values

### FLAG_CODEDIFF

    public static final java.lang.String FLAG_CODEDIFF

See Also:
  Constant Field Values

### FLAG_FILETIME_DEF

    public static final java.lang.String FLAG_FILETIME_DEF

See Also:
  Constant Field Values

### FLAG_FILETIME_MODIFIED

    public static final java.lang.String FLAG_FILETIME_MODIFIED

See Also:
  Constant Field Values

### FLAG_FILETIME_UPDATED

    public static final java.lang.String FLAG_FILETIME_UPDATED

See Also:
  Constant Field Values

### FLAG_REPLACE_WRITABLE

    public static final java.lang.String FLAG_REPLACE_WRITABLE

See Also:
  Constant Field Values

### FLAG_SKIP_WRITABLE

    public static final java.lang.String FLAG_SKIP_WRITABLE

See Also:
  Constant Field Values

### FLAG_NO_GET

    public static final java.lang.String FLAG_NO_GET

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.